Can't detect intel wifi 6235

Bug #1920180 reported by sugianto
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Alex Hung
Focal
Undecided
Unassigned
Groovy
Undecided
Unassigned
Hirsute
Undecided
Unassigned
Impish
Undecided
Alex Hung

Bug Description

[Impact]

 Wifi doesn't work on systems with Centrino Advanced-N 6235 [8086:526a].

[Fix]

 The patch adds the device ID 0x526A.

[Test Case]

 Wifi works after installing test kernel (#19 & #20 in LP:1920180)

[Regression Potential]

 Low to none. This adds a hardware ID and does not affects systems
 output such a wifi card.

[Note]

 Patch was also sent for upstream reviews and can be viewed at
 https://www.spinics.net/lists/stable/msg452937.html

======================
Original descriptions

Can't detect Wireless intel advance 6235

03:00.0 Network controller [0280]: Intel Corporation Centrino Advanced-N 6235 [8086:088f] (rev 24)
 Subsystem: Intel Corporation Centrino Advanced-N 6235 [8086:526a]
 Flags: fast devsel, IRQ 255
 Memory at e0400000 (64-bit, non-prefetchable) [size=8K]
 Capabilities: <access denied>
---
ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu27.16
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: sgo 1245 F.... pulseaudio
 /dev/snd/controlC0: sgo 1245 F.... pulseaudio
CasperMD5CheckResult: skip
CurrentDesktop: X-Cinnamon
DistroRelease: Linux Mint 20.1
InstallationDate: Installed on 2021-03-15 (4 days ago)
InstallationMedia: Linux Mint 20.1 "Ulyssa" - Release amd64 20210103
IwConfig:
 enp0s25 no wireless extensions.

 lo no wireless extensions.
MachineType: LENOVO 20AWS0DS0T
Package: linux (not installed)
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-67-generic root=UUID=7bbc36d4-b65d-4291-a3b9-dc840a88f20a ro quiet splash
ProcVersionSignature: Ubuntu 5.4.0-67.75-generic 5.4.94
RelatedPackageVersions:
 linux-restricted-modules-5.4.0-67-generic N/A
 linux-backports-modules-5.4.0-67-generic N/A
 linux-firmware 1.187.10
RfKill:
 0: tpacpi_bluetooth_sw: Bluetooth
  Soft blocked: yes
  Hard blocked: no
Tags: ulyssa
Uname: Linux 5.4.0-67-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 04/20/2020
dmi.bios.vendor: LENOVO
dmi.bios.version: GLETA1WW (2.55 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20AWS0DS0T
dmi.board.vendor: LENOVO
dmi.board.version: Not Defined
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrGLETA1WW(2.55):bd04/20/2020:svnLENOVO:pn20AWS0DS0T:pvrThinkPadT440p:rvnLENOVO:rn20AWS0DS0T:rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.family: ThinkPad T440p
dmi.product.name: 20AWS0DS0T
dmi.product.sku: LENOVO_MT_20AW_BU_Think_FM_ThinkPad T440p
dmi.product.version: ThinkPad T440p
dmi.sys.vendor: LENOVO

Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Missing required logs.

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1920180

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
sugianto (bharam)
tags: added: apport-collected ulyssa
description: updated
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
Alex Hung (alexhung) wrote :

Please give the test kernel (https://people.canonical.com/~alexhung/LP1920180/) a try. It adds a new id to iwlwifi as below. If it works, a patch will be sent to upstream and stable kernels which will be picked up by Ubuntu kernel later.

$ git diff drivers/net/wireless/intel/iwlwifi/pcie/drv.c
diff --git a/drivers/net/wireless/intel/iwlwifi/pcie/drv.c b/drivers/net/wireless/intel/iwlwifi/pcie/drv.c
index 09bdd45..243c7a1 100644
--- a/drivers/net/wireless/intel/iwlwifi/pcie/drv.c
+++ b/drivers/net/wireless/intel/iwlwifi/pcie/drv.c
@@ -258,6 +258,7 @@ static const struct pci_device_id iwl_hw_card_ids[] = {
        {IWL_PCI_DEVICE(0x088E, 0x446A, iwl6035_2agn_sff_cfg)},
        {IWL_PCI_DEVICE(0x088E, 0x4860, iwl6035_2agn_cfg)},
        {IWL_PCI_DEVICE(0x088F, 0x5260, iwl6035_2agn_cfg)},
+ {IWL_PCI_DEVICE(0x088F, 0x526A, iwl6035_2agn_cfg)},

Revision history for this message
sugianto (bharam) wrote :

Hi Alex Hung,

it works like a charm. thank you so much for your help, really appreciate it brother.
since i'm new to linux, is it alright to update anything after i try this kernel ?

sugianto (bharam)
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Alex Hung (alexhung)
Changed in linux (Ubuntu):
status: Fix Committed → In Progress
assignee: nobody → Alex Hung (alexhung)
Revision history for this message
Alex Hung (alexhung) wrote :

It will take a while for a patch to be merged, so you will lose wifi 6235 if you update to newer kernels.

There are processes to merge a patch. A normal process is like below:

1. a patch is sent to upstream (cc to stable kernel)
2. it gets reviewed and merged by a maintainer, and is included in next kernel release
3. it gets merged to stable kernels (in this case, 5.4 kernel)
4. a kernel is released by a distro (i.e. in this case Ubuntu kernel)

Note: I don't know how Linux Mint picks up Ubuntu kernel and there may be some time too.

Revision history for this message
Alex Hung (alexhung) wrote :

I will update status here if there is any

Revision history for this message
Alex Hung (alexhung) wrote :

For references, the patch was sent and can be viewed @ https://www.spinics.net/lists/stable/msg452937.html

Revision history for this message
sugianto (bharam) wrote : Re: [Bug 1920180] Re: Can't detect intel wifi 6235

Hi Alex,

Really appreciate what you did for me. I hope lm could update it asap on
next kernel sir

On Tue, Apr 6, 2021, 1:25 PM Alex Hung <email address hidden> wrote:

> For references, the patch was sent and can be viewed @
> https://www.spinics.net/lists/stable/msg452937.html
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1920180
>
> Title:
> Can't detect intel wifi 6235
>
> Status in linux package in Ubuntu:
> In Progress
>
> Bug description:
> Can't detect Wireless intel advance 6235
>
> 03:00.0 Network controller [0280]: Intel Corporation Centrino Advanced-N
> 6235 [8086:088f] (rev 24)
> Subsystem: Intel Corporation Centrino Advanced-N 6235 [8086:526a]
> Flags: fast devsel, IRQ 255
> Memory at e0400000 (64-bit, non-prefetchable) [size=8K]
> Capabilities: <access denied>
> ---
> ProblemType: Bug
> ApportVersion: 2.20.11-0ubuntu27.16
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: sgo 1245 F.... pulseaudio
> /dev/snd/controlC0: sgo 1245 F.... pulseaudio
> CasperMD5CheckResult: skip
> CurrentDesktop: X-Cinnamon
> DistroRelease: Linux Mint 20.1
> InstallationDate: Installed on 2021-03-15 (4 days ago)
> InstallationMedia: Linux Mint 20.1 "Ulyssa" - Release amd64 20210103
> IwConfig:
> enp0s25 no wireless extensions.
>
> lo no wireless extensions.
> MachineType: LENOVO 20AWS0DS0T
> Package: linux (not installed)
> ProcFB: 0 i915drmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-67-generic
> root=UUID=7bbc36d4-b65d-4291-a3b9-dc840a88f20a ro quiet splash
> ProcVersionSignature: Ubuntu 5.4.0-67.75-generic 5.4.94
> RelatedPackageVersions:
> linux-restricted-modules-5.4.0-67-generic N/A
> linux-backports-modules-5.4.0-67-generic N/A
> linux-firmware 1.187.10
> RfKill:
> 0: tpacpi_bluetooth_sw: Bluetooth
> Soft blocked: yes
> Hard blocked: no
> Tags: ulyssa
> Uname: Linux 5.4.0-67-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> _MarkForUpload: True
> dmi.bios.date: 04/20/2020
> dmi.bios.vendor: LENOVO
> dmi.bios.version: GLETA1WW (2.55 )
> dmi.board.asset.tag: Not Available
> dmi.board.name: 20AWS0DS0T
> dmi.board.vendor: LENOVO
> dmi.board.version: Not Defined
> dmi.chassis.asset.tag: No Asset Information
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.version: Not Available
> dmi.modalias:
> dmi:bvnLENOVO:bvrGLETA1WW(2.55):bd04/20/2020:svnLENOVO:pn20AWS0DS0T:pvrThinkPadT440p:rvnLENOVO:rn20AWS0DS0T:rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:
> dmi.product.family: ThinkPad T440p
> dmi.product.name: 20AWS0DS0T
> dmi.product.sku: LENOVO_MT_20AW_BU_Think_FM_ThinkPad T440p
> dmi.product.version: ThinkPad T440p
> dmi.sys.vendor: LENOVO
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1920180/+subscriptions
>

Revision history for this message
Alex Hung (alexhung) wrote :

Updates: the patch was not included in kernel 5.13-rc1 yet but I sent a follow-up email and let's see how this goes.

Revision history for this message
sugianto (bharam) wrote :
Download full text (3.1 KiB)

Dear Mr. Alex,

Thank you so much for your help and great information. I'm very excited
while wait for it to work.

On Tue, May 11, 2021, 3:05 AM Alex Hung <email address hidden> wrote:

> Updates: the patch was not included in kernel 5.13-rc1 yet but I sent a
> follow-up email and let's see how this goes.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1920180
>
> Title:
> Can't detect intel wifi 6235
>
> Status in linux package in Ubuntu:
> In Progress
>
> Bug description:
> Can't detect Wireless intel advance 6235
>
> 03:00.0 Network controller [0280]: Intel Corporation Centrino Advanced-N
> 6235 [8086:088f] (rev 24)
> Subsystem: Intel Corporation Centrino Advanced-N 6235 [8086:526a]
> Flags: fast devsel, IRQ 255
> Memory at e0400000 (64-bit, non-prefetchable) [size=8K]
> Capabilities: <access denied>
> ---
> ProblemType: Bug
> ApportVersion: 2.20.11-0ubuntu27.16
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: sgo 1245 F.... pulseaudio
> /dev/snd/controlC0: sgo 1245 F.... pulseaudio
> CasperMD5CheckResult: skip
> CurrentDesktop: X-Cinnamon
> DistroRelease: Linux Mint 20.1
> InstallationDate: Installed on 2021-03-15 (4 days ago)
> InstallationMedia: Linux Mint 20.1 "Ulyssa" - Release amd64 20210103
> IwConfig:
> enp0s25 no wireless extensions.
>
> lo no wireless extensions.
> MachineType: LENOVO 20AWS0DS0T
> Package: linux (not installed)
> ProcFB: 0 i915drmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-67-generic
> root=UUID=7bbc36d4-b65d-4291-a3b9-dc840a88f20a ro quiet splash
> ProcVersionSignature: Ubuntu 5.4.0-67.75-generic 5.4.94
> RelatedPackageVersions:
> linux-restricted-modules-5.4.0-67-generic N/A
> linux-backports-modules-5.4.0-67-generic N/A
> linux-firmware 1.187.10
> RfKill:
> 0: tpacpi_bluetooth_sw: Bluetooth
> Soft blocked: yes
> Hard blocked: no
> Tags: ulyssa
> Uname: Linux 5.4.0-67-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> _MarkForUpload: True
> dmi.bios.date: 04/20/2020
> dmi.bios.vendor: LENOVO
> dmi.bios.version: GLETA1WW (2.55 )
> dmi.board.asset.tag: Not Available
> dmi.board.name: 20AWS0DS0T
> dmi.board.vendor: LENOVO
> dmi.board.version: Not Defined
> dmi.chassis.asset.tag: No Asset Information
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.version: Not Available
> dmi.modalias:
> dmi:bvnLENOVO:bvrGLETA1WW(2.55):bd04/20/2020:svnLENOVO:pn20AWS0DS0T:pvrThinkPadT440p:rvnLENOVO:rn20AWS0DS0T:rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:
> dmi.product.family: ThinkPad T440p
> dmi.product.name: 20AWS0DS0T
> dmi.product.sku: LENOVO_MT_20AW_BU_Think_FM_ThinkPad T440p
> dmi.product.version: ThinkPad T440p
> dmi.sys.vendor: LENOVO
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1920180/+subscriptions...

Read more...

Alex Hung (alexhung)
description: updated
description: updated
Revision history for this message
Alex Hung (alexhung) wrote :

There are still no responses from upstream so let me send SRU to Ubuntu kernels first.

Changed in linux (Ubuntu Focal):
status: New → Fix Committed
Changed in linux (Ubuntu Groovy):
status: New → Fix Committed
Changed in linux (Ubuntu Hirsute):
status: New → Fix Committed
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-hirsute' to 'verification-done-hirsute'. If the problem still exists, change the tag 'verification-needed-hirsute' to 'verification-failed-hirsute'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-hirsute
Alex Hung (alexhung)
tags: added: verification-done-hirsute
removed: verification-needed-hirsute
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Alex Hung (alexhung)
tags: added: verification-done-focal
removed: verification-needed-focal
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-groovy' to 'verification-done-groovy'. If the problem still exists, change the tag 'verification-needed-groovy' to 'verification-failed-groovy'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-groovy
Alex Hung (alexhung)
tags: added: verification-done-groovy
removed: verification-needed-groovy
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (65.7 KiB)

This bug was fixed in the package linux - 5.11.0-20.21+21.10.1

---------------
linux (5.11.0-20.21+21.10.1) impish; urgency=medium

  * impish/linux: 5.11.0-20.21+21.10.1 -proposed tracker (LP: #1930056)

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  [ Ubuntu: 5.11.0-20.21 ]

  * hirsute/linux: 5.11.0-20.21 -proposed tracker (LP: #1930854)
  * ath11k WIFI not working in proposed kernel 5.11.0-19-generic (LP: #1930637)
    - bus: mhi: core: Download AMSS image from appropriate function

  [ Ubuntu: 5.11.0-19.20 ]

  * hirsute/linux: 5.11.0-19.20 -proposed tracker (LP: #1930075)
  * Packaging resync (LP: #1786013)
    - update dkms package versions
  * CVE-2021-33200
    - bpf: Wrap aux data inside bpf_sanitize_info container
    - bpf: Fix mask direction swap upon off reg sign change
    - bpf: No need to simulate speculative domain for immediates
  * AX201 BT will cause system could not enter S0i3 (LP: #1928047)
    - SAUCE: drm/i915: Tweaked Wa_14010685332 for all PCHs
  * CVE-2021-3490
    - SAUCE: Revert "UBUNTU: SAUCE: bpf: verifier: fix ALU32 bounds tracking with
      bitwise ops"
    - gpf: Fix alu32 const subreg bound tracking on bitwise operations
  * CVE-2021-3489
    - SAUCE: Revert "UBUNTU: SAUCE: bpf: prevent writable memory-mapping of read-
      only ringbuf pages"
    - bpf: Prevent writable memory-mapping of read-only ringbuf pages
  * Select correct boot VGA when BIOS doesn't do it properly (LP: #1929217)
    - vgaarb: Use ACPI HID name to find integrated GPU
  * Realtek USB hubs in Dell WD19SC/DC/TB fail to work after exiting s2idle
    (LP: #1928242)
    - USB: Verify the port status when timeout happens during port suspend
  * CVE-2020-26145
    - ath10k: drop fragments with multicast DA for SDIO
    - ath10k: add CCMP PN replay protection for fragmented frames for PCIe
    - ath10k: drop fragments with multicast DA for PCIe
  * CVE-2020-26141
    - ath10k: Fix TKIP Michael MIC verification for PCIe
  * CVE-2020-24587
    - ath11k: Clear the fragment cache during key install
  * CVE-2020-24588
    - mac80211: properly handle A-MSDUs that start with an RFC 1042 header
    - cfg80211: mitigate A-MSDU aggregation attacks
    - mac80211: drop A-MSDUs on old ciphers
    - ath10k: drop MPDU which has discard flag set by firmware for SDIO
  * CVE-2020-26139
    - mac80211: do not accept/forward invalid EAPOL frames
  * CVE-2020-24586 // CVE-2020-24587 // CVE-2020-24587 for such cases.
    - mac80211: extend protection against mixed key and fragment cache attacks
  * CVE-2020-24586 // CVE-2020-24587
    - mac80211: prevent mixed key and fragment cache attacks
    - mac80211: add fragment cache to sta_info
    - mac80211: check defrag PN against current frame
    - mac80211: prevent attacks on TKIP/WEP as well
  * CVE-2020-26147
    - mac80211: assure all fragments are encrypted
  * raid10: Block discard is very slow, causing severe delays for mkfs and
    fstrim operations (LP: #1896578)
    - md: add md_submit_discard_bio() for submitting discard bio
    - md/raid10: extend r10bio devs to raid disks
    - md/raid10: pull the code that wait for blocked dev into one function
    - md/raid10: improve ra...

Changed in linux (Ubuntu Impish):
status: In Progress → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (65.9 KiB)

This bug was fixed in the package linux - 5.11.0-22.23

---------------
linux (5.11.0-22.23) hirsute; urgency=medium

  * UAF on CAN J1939 j1939_can_recv (LP: #1932209)
    - SAUCE: can: j1939: delay release of j1939_priv after synchronize_rcu

  * UAF on CAN BCM bcm_rx_handler (LP: #1931855)
    - SAUCE: can: bcm: delay release of struct bcm_op after synchronize_rcu

linux (5.11.0-20.21) hirsute; urgency=medium

  * hirsute/linux: 5.11.0-20.21 -proposed tracker (LP: #1930854)

  * ath11k WIFI not working in proposed kernel 5.11.0-19-generic (LP: #1930637)
    - bus: mhi: core: Download AMSS image from appropriate function

linux (5.11.0-19.20) hirsute; urgency=medium

  * hirsute/linux: 5.11.0-19.20 -proposed tracker (LP: #1930075)

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  * CVE-2021-33200
    - bpf: Wrap aux data inside bpf_sanitize_info container
    - bpf: Fix mask direction swap upon off reg sign change
    - bpf: No need to simulate speculative domain for immediates

  * AX201 BT will cause system could not enter S0i3 (LP: #1928047)
    - SAUCE: drm/i915: Tweaked Wa_14010685332 for all PCHs

  * CVE-2021-3490
    - SAUCE: Revert "UBUNTU: SAUCE: bpf: verifier: fix ALU32 bounds tracking with
      bitwise ops"
    - gpf: Fix alu32 const subreg bound tracking on bitwise operations

  * CVE-2021-3489
    - SAUCE: Revert "UBUNTU: SAUCE: bpf: prevent writable memory-mapping of read-
      only ringbuf pages"
    - bpf: Prevent writable memory-mapping of read-only ringbuf pages

  * Select correct boot VGA when BIOS doesn't do it properly (LP: #1929217)
    - vgaarb: Use ACPI HID name to find integrated GPU

  * Realtek USB hubs in Dell WD19SC/DC/TB fail to work after exiting s2idle
    (LP: #1928242)
    - USB: Verify the port status when timeout happens during port suspend

  * CVE-2020-26145
    - ath10k: drop fragments with multicast DA for SDIO
    - ath10k: add CCMP PN replay protection for fragmented frames for PCIe
    - ath10k: drop fragments with multicast DA for PCIe

  * CVE-2020-26141
    - ath10k: Fix TKIP Michael MIC verification for PCIe

  * CVE-2020-24587
    - ath11k: Clear the fragment cache during key install

  * CVE-2020-24588
    - mac80211: properly handle A-MSDUs that start with an RFC 1042 header
    - cfg80211: mitigate A-MSDU aggregation attacks
    - mac80211: drop A-MSDUs on old ciphers
    - ath10k: drop MPDU which has discard flag set by firmware for SDIO

  * CVE-2020-26139
    - mac80211: do not accept/forward invalid EAPOL frames

  * CVE-2020-24586 // CVE-2020-24587 // CVE-2020-24587 for such cases.
    - mac80211: extend protection against mixed key and fragment cache attacks

  * CVE-2020-24586 // CVE-2020-24587
    - mac80211: prevent mixed key and fragment cache attacks
    - mac80211: add fragment cache to sta_info
    - mac80211: check defrag PN against current frame
    - mac80211: prevent attacks on TKIP/WEP as well

  * CVE-2020-26147
    - mac80211: assure all fragments are encrypted

  * raid10: Block discard is very slow, causing severe delays for mkfs and
    fstrim operations (LP: #1896578)
    - md: add md_submit_discard_bio() for submitting discard bio
    - ...

Changed in linux (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (23.2 KiB)

This bug was fixed in the package linux - 5.8.0-59.66

---------------
linux (5.8.0-59.66) groovy; urgency=medium

  * UAF on CAN J1939 j1939_can_recv (LP: #1932209)
    - SAUCE: can: j1939: delay release of j1939_priv after synchronize_rcu

  * UAF on CAN BCM bcm_rx_handler (LP: #1931855)
    - SAUCE: can: bcm: delay release of struct bcm_op after synchronize_rcu

linux (5.8.0-57.64) groovy; urgency=medium

  * groovy/linux: 5.8.0-57.64 -proposed tracker (LP: #1932047)

  * pmtu.sh from selftests.net in linux ADT test failure with linux/5.8.0-56.63
    (LP: #1931731)
    - net: geneve: modify IP header check in geneve6_xmit_skb and geneve_xmit_skb

linux (5.8.0-56.63) groovy; urgency=medium

  * groovy/linux: 5.8.0-56.63 -proposed tracker (LP: #1930052)

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  * scsi: storvsc: Parameterize number hardware queues (LP: #1930626)
    - scsi: storvsc: Parameterize number hardware queues

  * CVE-2021-33200
    - bpf: Wrap aux data inside bpf_sanitize_info container
    - bpf: Fix mask direction swap upon off reg sign change
    - bpf: No need to simulate speculative domain for immediates

  * CVE-2021-3490
    - SAUCE: Revert "UBUNTU: SAUCE: bpf: verifier: fix ALU32 bounds tracking with
      bitwise ops"
    - gpf: Fix alu32 const subreg bound tracking on bitwise operations

  * CVE-2021-3489
    - SAUCE: Revert "UBUNTU: SAUCE: bpf: prevent writable memory-mapping of read-
      only ringbuf pages"
    - bpf: Prevent writable memory-mapping of read-only ringbuf pages

  * Realtek USB hubs in Dell WD19SC/DC/TB fail to work after exiting s2idle
    (LP: #1928242)
    - USB: Verify the port status when timeout happens during port suspend

  * CVE-2020-26145
    - ath10k: drop fragments with multicast DA for SDIO
    - ath10k: add CCMP PN replay protection for fragmented frames for PCIe
    - ath10k: drop fragments with multicast DA for PCIe

  * CVE-2020-26141
    - ath10k: Fix TKIP Michael MIC verification for PCIe

  * CVE-2020-24587
    - ath11k: Clear the fragment cache during key install

  * CVE-2020-24588
    - mac80211: properly handle A-MSDUs that start with an RFC 1042 header
    - cfg80211: mitigate A-MSDU aggregation attacks
    - mac80211: drop A-MSDUs on old ciphers
    - ath10k: drop MPDU which has discard flag set by firmware for SDIO

  * CVE-2020-26139
    - mac80211: do not accept/forward invalid EAPOL frames

  * CVE-2020-24586 // CVE-2020-24587 // CVE-2020-24587 for such cases.
    - mac80211: extend protection against mixed key and fragment cache attacks

  * CVE-2020-24586 // CVE-2020-24587
    - mac80211: prevent mixed key and fragment cache attacks
    - mac80211: add fragment cache to sta_info
    - mac80211: check defrag PN against current frame
    - mac80211: prevent attacks on TKIP/WEP as well

  * CVE-2020-26147
    - mac80211: assure all fragments are encrypted

  * raid10: Block discard is very slow, causing severe delays for mkfs and
    fstrim operations (LP: #1896578)
    - md: add md_submit_discard_bio() for submitting discard bio
    - md/raid10: extend r10bio devs to raid disks
    - md/raid10: pull the code that wait for blocked dev into one...

Changed in linux (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (34.3 KiB)

This bug was fixed in the package linux - 5.4.0-77.86

---------------
linux (5.4.0-77.86) focal; urgency=medium

  * UAF on CAN J1939 j1939_can_recv (LP: #1932209)
    - SAUCE: can: j1939: delay release of j1939_priv after synchronize_rcu

  * UAF on CAN BCM bcm_rx_handler (LP: #1931855)
    - SAUCE: can: bcm: delay release of struct bcm_op after synchronize_rcu

linux (5.4.0-76.85) focal; urgency=medium

  * focal/linux: 5.4.0-76.85 -proposed tracker (LP: #1932123)

  * Upstream v5.9 introduced 'module' patches that removed exported symbols
    (LP: #1932065)
    - SAUCE: Revert "modules: inherit TAINT_PROPRIETARY_MODULE"
    - SAUCE: Revert "modules: return licensing information from find_symbol"
    - SAUCE: Revert "modules: rename the licence field in struct symsearch to
      license"
    - SAUCE: Revert "modules: unexport __module_address"
    - SAUCE: Revert "modules: unexport __module_text_address"
    - SAUCE: Revert "modules: mark each_symbol_section static"
    - SAUCE: Revert "modules: mark find_symbol static"
    - SAUCE: Revert "modules: mark ref_module static"

linux (5.4.0-75.84) focal; urgency=medium

  * focal/linux: 5.4.0-75.84 -proposed tracker (LP: #1930032)

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  * CVE-2021-33200
    - bpf: Wrap aux data inside bpf_sanitize_info container
    - bpf: Fix mask direction swap upon off reg sign change
    - bpf: No need to simulate speculative domain for immediates

  * Realtek USB hubs in Dell WD19SC/DC/TB fail to work after exiting s2idle
    (LP: #1928242)
    - USB: Verify the port status when timeout happens during port suspend

  * CVE-2020-26145
    - ath10k: drop fragments with multicast DA for SDIO
    - ath10k: add CCMP PN replay protection for fragmented frames for PCIe
    - ath10k: drop fragments with multicast DA for PCIe

  * CVE-2020-26141
    - ath10k: Fix TKIP Michael MIC verification for PCIe

  * CVE-2020-24588
    - mac80211: properly handle A-MSDUs that start with an RFC 1042 header
    - cfg80211: mitigate A-MSDU aggregation attacks
    - mac80211: drop A-MSDUs on old ciphers
    - ath10k: drop MPDU which has discard flag set by firmware for SDIO

  * CVE-2020-26139
    - mac80211: do not accept/forward invalid EAPOL frames

  * CVE-2020-24586 // CVE-2020-24587 // CVE-2020-24587 for such cases.
    - mac80211: extend protection against mixed key and fragment cache attacks

  * CVE-2020-24586 // CVE-2020-24587
    - mac80211: prevent mixed key and fragment cache attacks
    - mac80211: add fragment cache to sta_info
    - mac80211: check defrag PN against current frame
    - mac80211: prevent attacks on TKIP/WEP as well

  * CVE-2020-26147
    - mac80211: assure all fragments are encrypted

  * raid10: Block discard is very slow, causing severe delays for mkfs and
    fstrim operations (LP: #1896578)
    - md: add md_submit_discard_bio() for submitting discard bio
    - md/raid10: extend r10bio devs to raid disks
    - md/raid10: pull the code that wait for blocked dev into one function
    - md/raid10: improve raid10 discard request
    - md/raid10: improve discard request for far layout
    - dm raid: remove unnecessary discard limi...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers